Name:          libsigsegv
Version:       2.14
Release:       2mamba
Summary:       is a library for handling page faults in user mode.
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/directory/software-development/linux/
Source:        http://ftp.gnu.org/gnu/libsigsegv/libsigsegv-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
This is a library for handling page faults in user mode. A page fault occurs when a program tries to access to a region of memory that is currently not available. Catching and handling a page fault is a useful technique for implementing:
  - pageable virtual memory
  - memory-mapped access to persistent databases
  - generational garbage collectors
  - stack overflow handlers
  - distributed shared memory

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libsigsegv-static <= 2.14-1mamba

%description devel
This is a library for handling page faults in user mode. A page fault occurs when a program tries to access to a region of memory that is currently not available.
This package contains libraries and header files needed for development.

%debug_package

%prep
%setup -q

%build
%configure \
  --enable-shared \
  --enable-static

%make

make check

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libsigsegv.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libsigsegv.a
%{_libdir}/libsigsegv.so
%doc ChangeLog ChangeLog.1 NEWS README

%changelog
* Sun May 14 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14-2mamba
- rebuilt and removed -static package

* Sat Jan 08 2022 Automatic Build System <autodist@mambasoft.it> 2.14-1mamba
- automatic version update by autodist

* Tue Jan 19 2021 Automatic Build System <autodist@mambasoft.it> 2.13-1mamba
- automatic version update by autodist

* Mon Jan 22 2018 Automatic Build System <autodist@mambasoft.it> 2.12-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 2.11-1mamba
- automatic version update by autodist

* Fri Jul 01 2011 Automatic Build System <autodist@mambasoft.it> 2.10-1mamba
- automatic update by autodist

* Tue Nov 09 2010 Automatic Build System <autodist@mambasoft.it> 2.9-1mamba
- automatic update by autodist

* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 2.8-1mamba
- automatic update by autodist

* Sat Aug 15 2009 Automatic Build System <autodist@mambasoft.it> 2.7-1mamba
- automatic update by autodist

* Mon Nov 10 2008 gil <puntogil@libero.it> 2.6-1mamba
- package created by autospec
